]> git.pld-linux.org Git - projects/rc-scripts.git/blobdiff - sysconfig/network-scripts/ifdown-vlan
- merge my private tree
[projects/rc-scripts.git] / sysconfig / network-scripts / ifdown-vlan
diff --git a/sysconfig/network-scripts/ifdown-vlan b/sysconfig/network-scripts/ifdown-vlan
new file mode 100755 (executable)
index 0000000..534bd7c
--- /dev/null
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+#    ifdown-vlan - Virtual LAN configuration script
+#    Copyright (C) 2001  Arkadiusz Mi¶kiewicz <misiek@pld.org.pl>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+#    $Id: ifdown-vlan,v 1.1.2.1 2001/09/30 10:19:42 misiek Exp $
+#
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+cd /etc/sysconfig/network-scripts
+. /etc/sysconfig/network
+. /etc/rc.d/init.d/functions
+. /etc/sysconfig/network-scripts/functions.network
+
+CONFIG=$1
+source_config
+
+if [ "foo$2" = "fooboot" ] && is_no "${ONBOOT}"; then
+       exit 0
+fi
+
+if [ ! -x /sbin/vconfig ]; then
+       nls "%s is missing. Can't continue." "/sbin/vconfig"
+       exit 1
+fi
+
+# set all major variables
+setup_ip_param
+
+ip link set ${DEVICE} down
+ip addr flush dev ${DEVICE} 2>&1 | grep -v "Nothing to flush"
+/sbin/vconfig rem ${DEVICE}
+RESULT=$?
+
+exit $RESULT
+
+# This must be last line !
+# vi:syntax=sh:tw=78:ts=8:sw=4
+
This page took 0.02809 seconds and 4 git commands to generate.